@echo off

cd /d "%~dp0"

set input=%~nx1

for %%f IN ("%~dp0%input%\*.py") DO (
If Not Exist "%~dp0%input%_SN" mkdir "%~dp0%input%_SN"
echo %%~nf
"_exe\PyLibs\python.exe" "%%f" --cp=ms932 --gp=.\_exe\game_files\DIR_FC "%~dp0%input%_SN"
If Exist "%~dp0%input%_SN\%%~nf" If Not Exist "%~dp0%input%_SNpy" mkdir "%~dp0%input%_SNpy"
If Exist "%~dp0%input%_SN\%%~nf" move /y "%%f" "%~dp0%input%_SNpy\%%~nxf"
echo.
pause
)

pause
_exe\PyLibs\cleanup.bat
